#include "music.h"
int MUSIC_ErrorCode = MUSIC_Ok;
#include "stdafx.h"
#include "scummsys.h"

extern void CreateAudioPlayer();
extern void StopAudioPlayer();
extern void PlayMIDISong(const char* filename, int looping);
extern void PlayMIDISongFromBuffer(const unsigned char* buffer,unsigned int midi_size, int looping);

extern void StopMIDISong();
extern int IsMidiPlaying();
extern int IsMidiLoaded();
extern void GenerateSamples(signed short int* buf, unsigned int len);
extern int mixer_initialized;

char *MUSIC_ErrorString(int ErrorNumber)
{
	return "";
}

int MUSIC_Init(int SoundCard, int Address)
{
	CreateAudioPlayer();
	return 0;
}

int MUSIC_Shutdown(void)
{
	StopAudioPlayer();
	return 0;
}

void MUSIC_SetMaxFMMidiChannel(int channel)
{
}

void MUSIC_SetVolume(int volume)
{
	if(mixer_initialized)
	{
		Mix_Volume(1, volume/2);
	}
}

void MUSIC_SetMidiChannelVolume(int channel, int volume)
{
}

void MUSIC_ResetMidiChannelVolumes(void)
{
}

int MUSIC_GetVolume(void)
{
	return 0;
}

void MUSIC_SetLoopFlag(int loopflag)
{
}

int MUSIC_SongPlaying(void)
{
	return 0;
}

void MUSIC_Continue(void)
{
}

void MUSIC_Pause(void)
{
}

int MUSIC_StopSong(void)
{
	StopMIDISong();
	return 0;
}

int MUSIC_PlaySong(unsigned char *song,unsigned int midi_size, int loopflag)
{
	PlayMIDISongFromBuffer(song, midi_size, loopflag);
	return 0;
}

void MUSIC_SetContext(int context)
{
}

int MUSIC_GetContext(void)
{
	return 0;
}

void MUSIC_SetSongTick(unsigned long PositionInTicks)
{
}

void MUSIC_SetSongTime(unsigned long milliseconds)
{
}

void MUSIC_SetSongPosition(int measure, int beat, int tick)
{
}

void MUSIC_GetSongPosition(songposition *pos)
{
}

void MUSIC_GetSongLength(songposition *pos)
{
}

int MUSIC_FadeVolume(int tovolume, int milliseconds)
{
	return 0;
}

int MUSIC_FadeActive(void)
{
	return 0;
}

void MUSIC_StopFade(void)
{
}

void MUSIC_RerouteMidiChannel(int channel, int cdecl function( int event, int c1, int c2 ))
{
}

void MUSIC_RegisterTimbreBank(unsigned char *timbres)
{
}


// Duke3D-specific.  --ryan.
void PlayMusic(char *_filename)
{
  	PlayMIDISong((char*) _filename, 1);
}
